domingo, febrero 17, 2008

Grave bug en linux y Kernel Panico!!!

Hola, después de mucho tiempo que me pongo a escribir un post, he estado ocupado en proyectos, trabajos y cosas como esas. El punto es q mi decisión de escribir proviene de lo que pasó hace unos días atrás con respecto a una vulnerabilidad que apareció en el kernel de linux, hasta allí nunk me había topado con una vulnerabilidad tan grave en un kernel de linux, un ruso logró hacer un programa que aprovechaba una vulnerabilidad existente en el kernel de la rama 2.6 y con la ejecución del mismo un usuario normal podía hacerse de la cuenta root. Creo q esto debió haber dado un fuerte dolor de cabeza a más de un administrador de servidoress... cuántos servidores existirán en el mundo con linux... y cuantos usuarios comunes habrán querido hacer de las suyas en los servidores aprovechándose del bug?
La verdad es q no tengo idea pero lo que si me lleva a la reflexión es que una vez más se demuestra que ningún programa o programador puede decir que el software que desarrolla está libre de bugs, sobre todo de bugs de seguridad considerando la cantidad de personas que me imagino deben revisar los agregados al código del kernel así como los lanzamientos de nuevas versiones, el haberse pasado una vulnerabilidad como esas debe ser considerada como grave, y no está de más decir que mantenerse prevenidos nunk está de más...
nos vemos...

2 comentarios:

malkavian_net dijo...

hola man como pongo el es_PE.PO en qcodo

Jorge dijo...

solo pegalo en el directorio qcodo\wwwroot\includes\qcodo\i18n